XSWildcardDecl (Xerces2 Implementation)
Date: 2014-11-21

org.apache.xerces.impl.xs

## Class XSWildcardDecl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSWildcardDecl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSObject, org.apache.xerces.xs.XSTerm, org.apache.xerces.xs.XSWildcard

      public class XSWildcardDecl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSWildcard

  The XML representation for a wildcard declaration schema component is an <any> or <anyAttribute> element information item
  Version:
    $Id: XSWildcardDecl.java 965250 2010-07-18 16:04:58Z mrglavas $
  Author:
    Sandy Gao, IBM, Rahul Srivastava, Sun Microsystems Inc.

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABSENT`
    `org.apache.xerces.xs.XSObjectList` | `fAnnotations`
    `java.lang.String[]` | `fNamespaceList`
    `short` | `fProcessContents`
    `short` | `fType`

    - ### Fields inherited from interface org.apache.xerces.xs.XSWildcard

      `NSCONSTRAINT_ANY, NSCONSTRAINT_LIST, NSCONSTRAINT_NOT, PC_LAX, PC_SKIP, PC_STRICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSWildcardDecl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowNamespace(java.lang.String namespace)` Validation Rule: Wildcard allows Namespace Name
    `org.apache.xerces.xs.XSAnnotation` | `getAnnotation()` Optional.
    `org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
    `short` | `getConstraintType()` Namespace constraint: A constraint type: any, not, list.
    `java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
    `java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `org.apache.xerces.xs.StringList` | `getNsConstraintList()` Namespace constraint.
    `short` | `getProcessContents()` {process contents} One of skip, lax or strict.
    `java.lang.String` | `getProcessContentsAsString()` String valid of {process contents}.
    `short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
    `boolean` | `isSubsetOf(XSWildcardDecl superWildcard)` Schema Component Constraint: Wildcard Subset
    `XSWildcardDecl` | `performIntersectionWith(XSWildcardDecl wildcard, short processContents)` Schema Component Constraint: Attribute Wildcard Intersection
    `XSWildcardDecl` | `performUnionWith(XSWildcardDecl wildcard, short processContents)` Schema Component Constraint: Attribute Wildcard Union
    `java.lang.String` | `toString()`
    `boolean` | `weakerProcessContents(XSWildcardDecl superWildcard)` Check whether this wildcard has a weaker process contents than the super.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ABSENT

          public static final java.lang.String ABSENT

    - #### fType

          public short fType

    - #### fProcessContents

          public short fProcessContents

    - #### fNamespaceList

          public java.lang.String[] fNamespaceList

    - #### fAnnotations

          public org.apache.xerces.xs.XSObjectList fAnnotations

  - ### Constructor Detail

    - #### XSWildcardDecl

          public XSWildcardDecl()

  - ### Method Detail

    - #### allowNamespace

          public boolean allowNamespace(java.lang.String namespace)

      Validation Rule: Wildcard allows Namespace Name

    - #### isSubsetOf

          public boolean isSubsetOf(XSWildcardDecl superWildcard)

      Schema Component Constraint: Wildcard Subset

    - #### weakerProcessContents

          public boolean weakerProcessContents(XSWildcardDecl superWildcard)

      Check whether this wildcard has a weaker process contents than the super.

    - #### performUnionWith

          public XSWildcardDecl performUnionWith(XSWildcardDecl wildcard,
                                        short processContents)

      Schema Component Constraint: Attribute Wildcard Union

    - #### performIntersectionWith

          public XSWildcardDecl performIntersectionWith(XSWildcardDecl wildcard,
                                               short processContents)

      Schema Component Constraint: Attribute Wildcard Intersection

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public short getType()

      Get the type of the object, i.e ELEMENT_DECLARATION.
      Specified by:
        `getType` in interface `org.apache.xerces.xs.XSObject`

    - #### getName

          public java.lang.String getName()

      The `name` of this `XSObject` depending on the `XSObject` type.
      Specified by:
        `getName` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
      Specified by:
        `getNamespace` in interface `org.apache.xerces.xs.XSObject`

    - #### getConstraintType

          public short getConstraintType()

      Namespace constraint: A constraint type: any, not, list.
      Specified by:
        `getConstraintType` in interface `org.apache.xerces.xs.XSWildcard`

    - #### getNsConstraintList

          public org.apache.xerces.xs.StringList getNsConstraintList()

      Namespace constraint. For `constraintType` LIST_NSCONSTRAINT, the list contains allowed namespaces. For `constraintType` NOT_NSCONSTRAINT, the list contains disallowed namespaces.
      Specified by:
        `getNsConstraintList` in interface `org.apache.xerces.xs.XSWildcard`

    - #### getProcessContents

          public short getProcessContents()

      {process contents} One of skip, lax or strict. Valid constants values are: PC_SKIP, PC_LAX, PC_STRICT.
      Specified by:
        `getProcessContents` in interface `org.apache.xerces.xs.XSWildcard`

    - #### getProcessContentsAsString

          public java.lang.String getProcessContentsAsString()

      String valid of {process contents}. One of "skip", "lax" or "strict".

    - #### getAnnotation

          public org.apache.xerces.xs.XSAnnotation getAnnotation()

      Optional. Annotation.
      Specified by:
        `getAnnotation` in interface `org.apache.xerces.xs.XSWildcard`

    - #### getAnnotations

          public org.apache.xerces.xs.XSObjectList getAnnotations()

      Optional. Annotations.
      Specified by:
        `getAnnotations` in interface `org.apache.xerces.xs.XSWildcard`

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      Description copied from interface: `org.apache.xerces.xs.XSObject`
      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
      See Also:
        `XSObject.getNamespaceItem()`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.